import { colorPalette } from '@atlaskit/adf-schema';
import { DEFAULT_BORDER_COLOR } from './common';
import getColorMessage from './getColorMessage';
import paletteMessages from './paletteMessages';
var mapPaletteColor = function mapPaletteColor(label, color) {
  var key = label.toLowerCase().replace(' ', '-');
  var message = getColorMessage(paletteMessages, key);
  return {
    value: color,
    label: label,
    border: DEFAULT_BORDER_COLOR,
    message: message
  };
};

// row 1
export var textColorPalette = [];
colorPalette.forEach(function (label, color) {
  textColorPalette.push(mapPaletteColor(label, color));
});